/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.cms.dispatcher;



/**
 * <tt>AccessDeniedException</tt> is the runtime exception that is thrown
 * whenever the current user does not have access to the requested resources.
 *
 * @author Michael Pih (pihman@arsdigita.com)
 * @version $Revision: #6 $ $DateTime: 2004/04/07 16:07:11 $
 * @deprecated use com.arsdigita.dispatcher.AccessDeniedException instead.
 */
public class AccessDeniedException extends com.arsdigita.dispatcher.AccessDeniedException {

    /**
     * Constructs an AccessDeniedException with the default detail message.
     */
    public AccessDeniedException() {
        super();
    }

    /**
     * Constructs an AccessDeniedException with the specified detail message.
     *
     * @param msg The error detail message
     */
    public AccessDeniedException(String msg) {
        super(msg);
    }
}
